AuthnTokenMasLogistics Bearer Token (JWT) MasLogistics Squad — mas_logistics@masmovil.com
| Recurso | Descripción |
|---|---|
| Direct Logistics | The aim of the operations is to provide information about the available products as well as control the process for the delivery of the goods to the end customer. |
| Reverse Logistics | The aim of the operations is to control the process for the return of products from consumption or end user points to the manufacturer or distributor for their recovery, repair, recycling or disposal. |
| Swap Logistics | The aim of the operations is to provide information about the available products as well as control the swap process. |
| Expeditions Logistics | The aim of the operations is to provide information about expeditions for both direct and reverse logistics processes. Expeditions represent the shipment tracking and status of orders and pickups. |
| External Logistic Operator | The aim of the operations is to provide logistic information about external logistic operator orders |
| Logistics Management | Endpoints for managing logistics configurations |
AuthnTokenMasLogistics Bearer Token (JWT) MasLogistics Squad — mas_logistics@masmovil.com
| Recurso | Descripción |
|---|---|
| Direct Logistics | The aim of the operations is to provide information about the available products as well as control the process for the delivery of the goods to the end customer. |
| Reverse Logistics | The aim of the operations is to control the process for the return of products from consumption or end user points to the manufacturer or distributor for their recovery, repair, recycling or disposal. |
| Swap Logistics | The aim of the operations is to provide information about the available products as well as control the swap process. |
| Expeditions Logistics | The aim of the operations is to provide information about expeditions for both direct and reverse logistics processes. Expeditions represent the shipment tracking and status of orders and pickups. |
| External Logistic Operator | The aim of the operations is to provide logistic information about external logistic operator orders |
| Logistics Management | Endpoints for managing logistics configurations |
Retrieve a reservation by its internal reservation ID
PATH PARAMETERS
Organization name as it is registered in mas-stack
Internal reservation ID
OK Success
{
"reservation_id": "123456",
"reservation_id_external": "ext-123456",
"order_id": "E01ABC123DEF456G",
"order_id_crm": "109384632",
"product_reference": "P0000001",
"state": "CONFIRMED",
"tenant": "yoigo",
"duration": "180 seconds",
"valid_until": "2025-12-17T12:00:00Z",
"create_date": "2025-12-15T10:00:00Z",
"update_date": "2025-12-16T15:30:00Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
reservation_id | string | Internal reservation ID | ||
reservation_id_external | string | External reservation ID | ||
order_id | string | null | Internal order ID associated with the reservation | ||
order_id_crm | string | null | CRM order ID associated with the reservation | ||
product_reference | string | Product reference | ||
state | string
()
PENDINGCONFIRMEDCANCELLEDORDER_CREATED | Reservation state | ||
tenant | string | Tenant or organization | ||
duration | string | null | Duration of the reservation | ||
valid_until | string | null | Timestamp when the reservation expires | ||
create_date | string | Reservation creation timestamp | ||
update_date | string | Reservation last update timestamp |
Response for client error when some field in the request is missing or invalid.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
Response when an internal or unexpected error occurs.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
curl -X GET 'https://logistics.sta.masstack.com/v2/orgs/yoigo/core/reservations/123456' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Update reservation status (Confirm/Cancel)
PATH PARAMETERS
Organization name as it is registered in mas-stack
Internal logistics reservation id
Information needed to change the status to a reservation to confirmed or cancelled.
{
"reservation_id": "123456",
"order_id": "134566",
"status": "CONFIRM",
"zip_code": "28912"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
reservation_id | string | Reservation Id | ||
order_id | string | Order Id (newOrder service) | minLength: 1 | |
status
*
| string
()
CONFIRMCANCEL | Reservation status | ||
zip_code | string | Postal code (Mandatory if the status is CONFIRM) | minLength: 5 , maxLength: 5 , pattern: [\d]{5} |
OK Success
{
"reservation_id": "123456",
"order_id": "134566",
"status": "CONFIRM",
"zip_code": "28912"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
reservation_id | string | Reservation Id | ||
order_id | string | Order Id (newOrder service) | minLength: 1 | |
status
*
| string
()
CONFIRMCANCEL | Reservation status | ||
zip_code | string | Postal code (Mandatory if the status is CONFIRM) | minLength: 5 , maxLength: 5 , pattern: [\d]{5} |
Response for client error when some field in the request is missing or invalid.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
Response when an internal or unexpected error occurs.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
curl -X PUT 'https://logistics.sta.masstack.com/v2/orgs/yoigo/core/reservations/130' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"reservation_id": "123456",
"order_id": "134566",
"status": "CONFIRM",
"zip_code": "28912"
}' Create a new reservation
PATH PARAMETERS
Organization name as it is registered in mas-stack
Information needed to create a new Reservation
{
"data_sales": {
"agent": "RETEN001",
"channel": "TELE_SALE_CARE",
"type": "NEW_SALE",
"group": "POS"
},
"product_id": "RM58AV3N2"
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
data_sales | object | Information related to sales associated with the order | |||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||
product_id
*
| string | Product identifier | |||||||||||||||||||||||||||
OK Success
{
"product_id": "P0000001",
"reservation_id": "250",
"total_duration_in_seconds": 180,
"valid_until": "2021-05-24T09:00:00Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
product_id | string | The product Id | ||
reservation_id | string | Reservation Id | ||
total_duration_in_seconds | number | The time in seconds that the reservation is available before expire. | ||
valid_until | string | The timestamp when the reservation will expire in ISO 8601 format and UTC |
Response for client error when some field in the request is missing or invalid.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
Response when an internal or unexpected error occurs.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
curl -X POST 'https://logistics.sta.masstack.com/v2/orgs/yoigo/core/reservations' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"data_sales": {
"agent": "RETEN001",
"channel": "TELE_SALE_CARE",
"type": "NEW_SALE",
"group": "POS"
},
"product_id": "RM58AV3N2"
}' Get list of orders filtered by the given parameters
PATH PARAMETERS
Organization name as it is registered in mas-stack
QUERY PARAMETERS
Page size
Page number
Order id in mas-logistics (Multiple values allowed separated with coma (','))
Order id in crm (Multiple values allowed separated with coma (','))
Order id in the external system, usually the logistic operator (Multiple values allowed separated with coma (','))
Subscription id (Multiple values allowed separated with coma (','))
Business process (Multiple values allowed separated with coma (','))
Delivery type (Multiple values allowed separated with coma (','))
Client identity document id (Multiple values allowed separated with coma (','))
Product identifier like IMEI, ICCID, Serial Number, etc (Multiple values allowed separated with coma (','))
The product reference (Multiple values allowed separated with coma (','))
Product subscription device id (Multiple values allowed separated with coma (','))
From order date in ISO 8601 format. Example: 2021-05-24T09:00:00Z
To order date in ISO 8601 format. Example: 2021-05-24T09:00:00Z
Sort value
OK Success
{
"page_size": 123,
"total_pages": 10,
"current_page": 1,
"total_elements": 3000,
"orders": [
{
"order": {
"reservation_id": "7d19cf38-a33d-42cd-8770-cea25db0b2e3",
"subscription_id": "2203846",
"work_order": "MYSIM_213563123",
"order_id": "E01ABC123DEF456G",
"order_id_crm": "109384632",
"order_id_external": "484543418",
"business_process": "PEDIDO",
"order_date": "2021-05-25T09:00:00Z",
"reason": "Extraordinary order, original order lost",
"convergent": true,
"language": "ES",
"delivery_type": "AGENCY"
},
"data_sales": {
"agent": "RETEN001",
"channel": "TELE_SALE_CARE",
"type": "NEW_SALE",
"group": "POS"
},
"client": {
"identity": {
"document_id": null,
"document_type": null
},
"contact_phone": {
"phone_number": null,
"prefix": null
},
"name": "Juan",
"surnames": [
null
],
"email": "example@gmail.com",
"commercial_name": "Pedro",
"address": {
"street_type": null,
"street": null,
"number": null,
"additional_details": null,
"city": null,
"zip_code": null,
"province": null,
"country": null,
"bis": null,
"floor": null,
"block": null,
"stair": null,
"letter": null
}
},
"invoice": {
"address": {
"street_type": null,
"street": null,
"number": null,
"additional_details": null,
"city": null,
"zip_code": null,
"province": null,
"country": null,
"bis": null,
"floor": null,
"block": null,
"stair": null,
"letter": null
},
"client": {
"identity": null,
"contact_phone": null,
"name": null,
"surnames": null,
"email": null,
"commercial_name": null,
"address": null
},
"data_invoice": {
"base": null,
"tax_value": null,
"total_invoice": null,
"discount": null,
"payment_type": null,
"residual_value": null,
"initial_payment": null,
"fee": null
}
},
"shipping": {
"address": {
"street_type": null,
"street": null,
"number": null,
"additional_details": null,
"city": null,
"zip_code": null,
"province": null,
"country": null,
"bis": null,
"floor": null,
"block": null,
"stair": null,
"letter": null
},
"contact_data": {
"identity": null,
"contact_phone": null,
"name": null,
"surnames": null,
"email": null,
"commercial_name": null,
"address": null
},
"data_delivery": {
"courier_id": null,
"delivery_service": null,
"exclusive": null,
"verify_identity": null,
"retrieve_contract": null,
"group_by": null,
"secure_delivery": null,
"delivery_point_id": null,
"delivery_shop_name": null,
"delivery_type": null,
"ol_comments": null
}
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
page_size | integer | Page size | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
total_pages | integer | Total pages for page size | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
current_page | integer | Current page | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
total_elements | integer | Total element | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
orders | object[] | List of Orders | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Response for client error when some field in the request is missing or invalid.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
Response when an internal or unexpected error occurs.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
curl -X GET 'https://logistics.sta.masstack.com/v2/orgs/yoigo/core/orders?size=100&page=1&order_id=E1585NAHY276BR4&order_id_crm=MYSIM_103827&order_id_external=MAS000001&subscription_id=2203846&business_process=PEDIDO%2CBREAKDOWN_DELIVERY&delivery_type=HOME%2CSHOP&identity_document_id=12345678Z&product_identifier=RM58AV3N2&product_code=P0000001&product_subscription_device_id=1123456789&from_order_date=2021-05-24T09%3A00%3A00Z&to_order_date=2021-05-25T09%3A00%3A00Z&sort=DATE_DESC' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Create an new order
PATH PARAMETERS
Organization name as it is registered in mas-stack
Information needed to create a new order
{
"order": {
"reservation_id": "7d19cf38-a33d-42cd-8770-cea25db0b2e3",
"subscription_id": "2203846",
"work_order": "MYSIM_213563123",
"order_id": "E01ABC123DEF456G",
"order_id_crm": "109384632",
"order_id_external": "484543418",
"business_process": "PEDIDO",
"order_date": "2021-05-25T09:00:00Z",
"reason": "Extraordinary order, original order lost",
"convergent": true,
"language": "ES",
"delivery_type": "AGENCY"
},
"data_sales": {
"agent": "RETEN001",
"channel": "TELE_SALE_CARE",
"type": "NEW_SALE",
"group": "POS"
},
"client": {
"identity": {
"document_id": "00000000A",
"document_type": "NIF"
},
"contact_phone": {
"phone_number": "666666666",
"prefix": "+34"
},
"name": "Juan",
"surnames": [
"Perez"
],
"email": "example@gmail.com",
"commercial_name": "Pedro",
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
}
},
"invoice": {
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
},
"client": {
"identity": {
"document_id": "00000000A",
"document_type": "NIF"
},
"contact_phone": {
"phone_number": "666666666",
"prefix": "+34"
},
"name": "Juan",
"surnames": [
"Perez"
],
"email": "example@gmail.com",
"commercial_name": "Pedro",
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
}
},
"data_invoice": {
"base": 100,
"tax_value": 21,
"total_invoice": 121,
"discount": 0,
"payment_type": 0,
"residual_value": 0,
"initial_payment": 0,
"fee": {
"amount": 12,
"duration": 12
}
}
},
"shipping": {
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
},
"contact_data": {
"identity": {
"document_id": "00000000A",
"document_type": "NIF"
},
"contact_phone": {
"phone_number": "666666666",
"prefix": "+34"
},
"name": "Juan",
"surnames": [
"Perez"
],
"email": "example@gmail.com",
"commercial_name": "Pedro",
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
}
},
"data_delivery": {
"courier_id": "CORREOS",
"delivery_service": "DELIVERY_24",
"exclusive": true,
"verify_identity": false,
"retrieve_contract": false,
"group_by": "string",
"secure_delivery": false,
"delivery_point_id": "SEUR-1234",
"delivery_shop_name": "Mas Life Plaza España",
"delivery_type": "AGENCY",
"ol_comments": "ONT password"
}
},
"products": [
{
"product_id": "40397",
"product_code": "RM58AV3N2",
"product_description": "Caja de voz Ad Hoc v3",
"product_type": "ROUTER",
"product_type_id": 16,
"product_unit_price": 16.5,
"icc_imei": "string",
"identifier": "string",
"quantity": 1,
"product_comments": "string",
"msisdn": "666666666",
"financed": true,
"subscription_device_id": "40397",
"remaining_payment": 20.5,
"invoiced": true,
"status": "CREATED"
}
],
"documentation": {
"letter_type": "WP",
"documents": [
{
"document_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"document_type": "CONTRACT",
"copies": 2,
"signable": true,
"signed": true
}
]
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
order
*
| object | Main order data, including ID and essential details | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
data_sales | object | Information related to sales associated with the order | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
client
*
| object | Object with client data | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
invoice | object | Invoice information generated for the order | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
shipping
*
| object | Shipping details, including address and delivery info | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
products
*
| object[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
documentation | object | Info about the documentation related to the order | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
OK Success
{
"order": {
"reservation_id": "7d19cf38-a33d-42cd-8770-cea25db0b2e3",
"subscription_id": "2203846",
"work_order": "MYSIM_213563123",
"order_id": "E01ABC123DEF456G",
"order_id_crm": "109384632",
"order_id_external": "484543418",
"business_process": "PEDIDO",
"order_date": "2021-05-25T09:00:00Z",
"reason": "Extraordinary order, original order lost",
"convergent": true,
"language": "ES",
"delivery_type": "AGENCY"
},
"data_sales": {
"agent": "RETEN001",
"channel": "TELE_SALE_CARE",
"type": "NEW_SALE",
"group": "POS"
},
"client": {
"identity": {
"document_id": "00000000A",
"document_type": "NIF"
},
"contact_phone": {
"phone_number": "666666666",
"prefix": "+34"
},
"name": "Juan",
"surnames": [
"Perez"
],
"email": "example@gmail.com",
"commercial_name": "Pedro",
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
}
},
"invoice": {
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
},
"client": {
"identity": {
"document_id": "00000000A",
"document_type": "NIF"
},
"contact_phone": {
"phone_number": "666666666",
"prefix": "+34"
},
"name": "Juan",
"surnames": [
"Perez"
],
"email": "example@gmail.com",
"commercial_name": "Pedro",
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
}
},
"data_invoice": {
"base": 100,
"tax_value": 21,
"total_invoice": 121,
"discount": 0,
"payment_type": 0,
"residual_value": 0,
"initial_payment": 0,
"fee": {
"amount": 12,
"duration": 12
}
}
},
"shipping": {
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
},
"contact_data": {
"identity": {
"document_id": "00000000A",
"document_type": "NIF"
},
"contact_phone": {
"phone_number": "666666666",
"prefix": "+34"
},
"name": "Juan",
"surnames": [
"Perez"
],
"email": "example@gmail.com",
"commercial_name": "Pedro",
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
}
},
"data_delivery": {
"courier_id": "CORREOS",
"delivery_service": "DELIVERY_24",
"exclusive": true,
"verify_identity": false,
"retrieve_contract": false,
"group_by": "string",
"secure_delivery": false,
"delivery_point_id": "SEUR-1234",
"delivery_shop_name": "Mas Life Plaza España",
"delivery_type": "AGENCY",
"ol_comments": "ONT password"
}
},
"products": [
{
"product_id": "40397",
"product_code": "RM58AV3N2",
"product_description": "Caja de voz Ad Hoc v3",
"product_type": "ROUTER",
"product_type_id": 16,
"product_unit_price": 16.5,
"icc_imei": "string",
"identifier": "string",
"quantity": 1,
"product_comments": "string",
"msisdn": "666666666",
"financed": true,
"subscription_device_id": "40397",
"remaining_payment": 20.5,
"invoiced": true,
"status": "CREATED"
}
],
"documentation": {
"letter_type": "WP",
"documents": [
{
"document_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"document_type": "CONTRACT",
"copies": 2,
"signable": true,
"signed": true
}
]
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
order
*
| object | Main order data, including ID and essential details | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
data_sales | object | Information related to sales associated with the order | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
client
*
| object | Object with client data | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
invoice | object | Invoice information generated for the order | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
shipping
*
| object | Shipping details, including address and delivery info | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
products
*
| object[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
documentation | object | Info about the documentation related to the order | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Response for client error when some field in the request is missing or invalid.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
Response when an internal or unexpected error occurs.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
curl -X POST 'https://logistics.sta.masstack.com/v2/orgs/yoigo/core/orders' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"order": {
"reservation_id": "7d19cf38-a33d-42cd-8770-cea25db0b2e3",
"subscription_id": "2203846",
"work_order": "MYSIM_213563123",
"order_id": "E01ABC123DEF456G",
"order_id_crm": "109384632",
"order_id_external": "484543418",
"business_process": "PEDIDO",
"order_date": "2021-05-25T09:00:00Z",
"reason": "Extraordinary order, original order lost",
"convergent": true,
"language": "ES",
"delivery_type": "AGENCY"
},
"data_sales": {
"agent": "RETEN001",
"channel": "TELE_SALE_CARE",
"type": "NEW_SALE",
"group": "POS"
},
"client": {
"identity": {
"document_id": "00000000A",
"document_type": "NIF"
},
"contact_phone": {
"phone_number": "666666666",
"prefix": "+34"
},
"name": "Juan",
"surnames": [
"Perez"
],
"email": "example@gmail.com",
"commercial_name": "Pedro",
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
}
},
"invoice": {
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
},
"client": {
"identity": {
"document_id": "00000000A",
"document_type": "NIF"
},
"contact_phone": {
"phone_number": "666666666",
"prefix": "+34"
},
"name": "Juan",
"surnames": [
"Perez"
],
"email": "example@gmail.com",
"commercial_name": "Pedro",
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
}
},
"data_invoice": {
"base": 100,
"tax_value": 21,
"total_invoice": 121,
"discount": 0,
"payment_type": 0,
"residual_value": 0,
"initial_payment": 0,
"fee": {
"amount": 12,
"duration": 12
}
}
},
"shipping": {
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
},
"contact_data": {
"identity": {
"document_id": "00000000A",
"document_type": "NIF"
},
"contact_phone": {
"phone_number": "666666666",
"prefix": "+34"
},
"name": "Juan",
"surnames": [
"Perez"
],
"email": "example@gmail.com",
"commercial_name": "Pedro",
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
}
},
"data_delivery": {
"courier_id": "CORREOS",
"delivery_service": "DELIVERY_24",
"exclusive": true,
"verify_identity": false,
"retrieve_contract": false,
"group_by": "string",
"secure_delivery": false,
"delivery_point_id": "SEUR-1234",
"delivery_shop_name": "Mas Life Plaza España",
"delivery_type": "AGENCY",
"ol_comments": "ONT password"
}
},
"products": [
{
"product_id": "40397",
"product_code": "RM58AV3N2",
"product_description": "Caja de voz Ad Hoc v3",
"product_type": "ROUTER",
"product_type_id": 16,
"product_unit_price": 16.5,
"icc_imei": "string",
"identifier": "string",
"quantity": 1,
"product_comments": "string",
"msisdn": "666666666",
"financed": true,
"subscription_device_id": "40397",
"remaining_payment": 20.5,
"invoiced": true,
"status": "CREATED"
}
],
"documentation": {
"letter_type": "WP",
"documents": [
{
"document_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"document_type": "CONTRACT",
"copies": 2,
"signable": true,
"signed": true
}
]
}
}' Get an order by the order_id
PATH PARAMETERS
Organization name as it is registered in mas-stack
Internal logistics order id
OK Success
{
"order": {
"reservation_id": "7d19cf38-a33d-42cd-8770-cea25db0b2e3",
"subscription_id": "2203846",
"work_order": "MYSIM_213563123",
"order_id": "E01ABC123DEF456G",
"order_id_crm": "109384632",
"order_id_external": "484543418",
"business_process": "PEDIDO",
"order_date": "2021-05-25T09:00:00Z",
"reason": "Extraordinary order, original order lost",
"convergent": true,
"language": "ES",
"delivery_type": "AGENCY"
},
"data_sales": {
"agent": "RETEN001",
"channel": "TELE_SALE_CARE",
"type": "NEW_SALE",
"group": "POS"
},
"client": {
"identity": {
"document_id": "00000000A",
"document_type": "NIF"
},
"contact_phone": {
"phone_number": "666666666",
"prefix": "+34"
},
"name": "Juan",
"surnames": [
"Perez"
],
"email": "example@gmail.com",
"commercial_name": "Pedro",
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
}
},
"invoice": {
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
},
"client": {
"identity": {
"document_id": "00000000A",
"document_type": "NIF"
},
"contact_phone": {
"phone_number": "666666666",
"prefix": "+34"
},
"name": "Juan",
"surnames": [
"Perez"
],
"email": "example@gmail.com",
"commercial_name": "Pedro",
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
}
},
"data_invoice": {
"base": 100,
"tax_value": 21,
"total_invoice": 121,
"discount": 0,
"payment_type": 0,
"residual_value": 0,
"initial_payment": 0,
"fee": {
"amount": 12,
"duration": 12
}
}
},
"shipping": {
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
},
"contact_data": {
"identity": {
"document_id": "00000000A",
"document_type": "NIF"
},
"contact_phone": {
"phone_number": "666666666",
"prefix": "+34"
},
"name": "Juan",
"surnames": [
"Perez"
],
"email": "example@gmail.com",
"commercial_name": "Pedro",
"address": {
"street_type": "Calle",
"street": "Mayor",
"number": "208",
"additional_details": "string",
"city": "Leganes",
"zip_code": "28912",
"province": "Madrid",
"country": "es",
"bis": "string",
"floor": "string",
"block": "string",
"stair": "string",
"letter": "string"
}
},
"data_delivery": {
"courier_id": "CORREOS",
"delivery_service": "DELIVERY_24",
"exclusive": true,
"verify_identity": false,
"retrieve_contract": false,
"group_by": "string",
"secure_delivery": false,
"delivery_point_id": "SEUR-1234",
"delivery_shop_name": "Mas Life Plaza España",
"delivery_type": "AGENCY",
"ol_comments": "ONT password"
}
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
order
*
| object | Main order data, including ID and essential details | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
data_sales | object | Information related to sales associated with the order | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
client
*
| object | Object with client data | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
invoice | object | Invoice information generated for the order | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
shipping
*
| object | Shipping details, including address and delivery info | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Response for client error when some field in the request is missing or invalid.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
Response when an internal or unexpected error occurs.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
curl -X GET 'https://logistics.sta.masstack.com/v2/orgs/yoigo/core/orders/888888-A9293' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Get the list of products for an order
PATH PARAMETERS
Organization name as it is registered in mas-stack
Internal logistics order id
QUERY PARAMETERS
Page size
Page number
OK Success
{
"page_size": 123,
"total_pages": 10,
"current_page": 1,
"total_elements": 3000,
"products": [
{
"product_id": "40397",
"product_code": "RM58AV3N2",
"product_description": "Caja de voz Ad Hoc v3",
"product_type": "ROUTER",
"product_type_id": 16,
"product_unit_price": 16.5,
"icc_imei": "string",
"identifier": "string",
"quantity": 1,
"product_comments": "string",
"msisdn": "666666666",
"financed": true,
"subscription_device_id": "40397",
"remaining_payment": 20.5,
"invoiced": true,
"status": "CREATED",
"associated_expedition": {
"expedition_id": "a13a4674f6547447ff1f8813f33b5a90f6616ec2514e3f6e162acc5b88e9cfcb-R0",
"current_status": {
"id": null,
"value": null,
"description": null,
"final": null,
"reshippable": null,
"reason_code": null,
"reason_description": null,
"timestamp": null
}
}
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
page_size | integer | Page size | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
total_pages | integer | Total pages for page size | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
current_page | integer | Current page | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
total_elements | integer | Total element | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
products | object[] | Info about the product with the expedition | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Response for client error when some field in the request is missing or invalid.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
Response when an internal or unexpected error occurs.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
curl -X GET 'https://logistics.sta.masstack.com/v2/orgs/yoigo/core/orders/888888-A9293/products?size=100&page=1' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Get a product for an order
PATH PARAMETERS
Organization name as it is registered in mas-stack
Internal logistics order id
Product id, usually subscription_device_id
OK Success
{
"product_id": "40397",
"product_code": "RM58AV3N2",
"product_description": "Caja de voz Ad Hoc v3",
"product_type": "ROUTER",
"product_type_id": 16,
"product_unit_price": 16.5,
"icc_imei": "string",
"identifier": "string",
"quantity": 1,
"product_comments": "string",
"msisdn": "666666666",
"financed": true,
"subscription_device_id": "40397",
"remaining_payment": 20.5,
"invoiced": true,
"status": "CREATED",
"associated_expedition": {
"expedition_id": "a13a4674f6547447ff1f8813f33b5a90f6616ec2514e3f6e162acc5b88e9cfcb-R0",
"current_status": {
"id": "1",
"value": "DELIVERED",
"description": "Order delivered to the client",
"final": false,
"reshippable": false,
"reason_code": "",
"reason_description": "",
"timestamp": "2023-05-02 11:00:09"
}
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
product_id | string | The product id in mas-logistics domain, usually suscription_device_id. (Read only parameter, only for GET requests) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
product_code
*
| string | Product code | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
product_description | string | Product description | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
product_type | string
()
STBTERMINALROUTERSIMGENERICSMART_TVSMARTHOME | The product type. It is mandatory when using generic product_code | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
product_type_id | integer | Product Type Id | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
product_unit_price | number | Product Unit price | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
icc_imei | string | Product imei | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
identifier | string | The physical product identifier, usually SerialNumber/MAC/IMEI. (Read only parameter, only for GET requests) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
quantity | integer | Product quantity | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
product_comments | string | Product comments | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
msisdn | string | MSISDN associated | pattern: ^\d{9} | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
financed | boolean | Is product financed | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
subscription_device_id
*
| string | Identifier of an internal order in mas stack | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
remaining_payment | number | Remaining payment amount to pay on delivery | max: 999.99 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
invoiced | boolean | If this value is false it indicates that the product is on lease if it is true it is on sale and we should have the data_invoice info. | true | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
status | string
()
CREATEDDISCARDED | The status of the product. (Read only parameter, only for GET requests) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
associated_expedition | object | Associated expedition info | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Response for client error when some field in the request is missing or invalid.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
Response when an internal or unexpected error occurs.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
curl -X GET 'https://logistics.sta.masstack.com/v2/orgs/yoigo/core/orders/888888-A9293/products/888888-A9293' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Get the documents list for an order
PATH PARAMETERS
Organization name as it is registered in mas-stack
Internal logistics order id
QUERY PARAMETERS
Page size
Page number
OK Success
{
"page_size": 123,
"total_pages": 10,
"current_page": 1,
"total_elements": 3000,
"documents": [
{
"document_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"document_type": "CONTRACT",
"copies": 2,
"signable": true,
"signed": true
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
page_size | integer | Page size | ||||||||||||||||||||||||||||||||
total_pages | integer | Total pages for page size | ||||||||||||||||||||||||||||||||
current_page | integer | Current page | ||||||||||||||||||||||||||||||||
total_elements | integer | Total element | ||||||||||||||||||||||||||||||||
documents | object[] | |||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
Response for client error when some field in the request is missing or invalid.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
Response when an internal or unexpected error occurs.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
curl -X GET 'https://logistics.sta.masstack.com/v2/orgs/yoigo/core/orders/d290f1ee-6c54-4b01-90e6-d701748f0851/documents?size=100&page=1' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Get a document for an order
PATH PARAMETERS
Organization name as it is registered in mas-stack
Internal logistics order id
The public document id managed by mas-logistics
OK Success
{
"document_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"document_type": "CONTRACT",
"copies": 2,
"signable": true,
"signed": true,
"url": "https://storage.googleapis.com/mas-documents-prod/cbd2e693-d71a-4cee-8313-1972acc0394d"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
document_id | string | Public document id managed by mas-logistics, not the id managed by mas-documents | ||
document_type | string
()
CONTRACTINECCGGDELIVERY_NOTE | Document Type | ||
copies | integer | The number of copies that must be printed | ||
signable | boolean | Defines if the document is signable in the MasLogistics context using the signOrderDocuments operation | false | |
signed | boolean | Defines if the document is signed. If the document is not signable, this field will never be true | false | |
url | string | The public url to download the document |
Response for client error when some field in the request is missing or invalid.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
Response when an internal or unexpected error occurs.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
curl -X GET 'https://logistics.sta.masstack.com/v2/orgs/yoigo/core/orders/d290f1ee-6c54-4b01-90e6-d701748f0851/documents/d290f1ee-6c54-4b01-90e6-d701748f0851' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Get list of communications sent for an order
PATH PARAMETERS
Organization name as it is registered in mas-stack
Internal logistics order id
QUERY PARAMETERS
Page size
Page number
OK Success
{
"page_size": 123,
"total_pages": 10,
"current_page": 1,
"total_elements": 3000,
"communications": [
{
"order_communication_id": "oc-123e4567-e89b-12d3-a456-426614174000",
"order_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"communication_id": "comm-789",
"trigger_communication_id": "trigger-123",
"external_communication_id": "ext-comm-456",
"template_id": "template-012",
"sent": true,
"reason": "order_created",
"event": "ORDER_CREATED",
"sent_at": "2023-11-25T10:30:00Z"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
page_size | integer | Page size | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
total_pages | integer | Total pages for page size | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
current_page | integer | Current page | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
total_elements | integer | Total element | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
communications | object[] | Communications sent for the order | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Response for client error when some field in the request is missing or invalid.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
Response when an internal or unexpected error occurs.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
curl -X GET 'https://logistics.sta.masstack.com/v2/orgs/yoigo/core/orders/d290f1ee-6c54-4b01-90e6-d701748f0851/communications?size=100&page=1' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Sign the signeable documents related to a set of orders
PATH PARAMETERS
Organization name as it is registered in mas-stack
Information needed to sign the documents
{
"order_ids": [
"6ea0ca52-e194-45e2-a4fd-6d93923682bd",
"8b243340-4b87-4b9b-bead-781698931477"
]
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
order_ids | string[] | Order ids to sign |
OK Success
{
"sign_id": "6ea0ca52-e194-45e2-a4fd-6d93923682bd",
"documents": [
{
"document_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"document_type": "CONTRACT",
"copies": 2,
"signable": true,
"signed": true
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
sign_id | string | The sign id from MasDocuments | ||||||||||||||||||||||||||||||||
documents | object[] | |||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
Response for client error when some field in the request is missing or invalid.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
Response when an internal or unexpected error occurs.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
curl -X POST 'https://logistics.sta.masstack.com/v2/orgs/yoigo/core/orders/documents/sign' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"order_ids": [
"6ea0ca52-e194-45e2-a4fd-6d93923682bd",
"8b243340-4b87-4b9b-bead-781698931477"
]
}' Create a request to cancel an order. Its request could be accepted or declined asynchronously
PATH PARAMETERS
Organization name as it is registered in mas-stack
Internal logistics order id
Information needed to create a cancellation request
{
"cancellation_request_id": "C0000001",
"reason": "DUPLICATE",
"products": [
{
"product_code": "RM58AV3N2",
"product_description": "Caja de voz Ad Hoc v3",
"product_type": "STB",
"product_type_id": 16,
"identifier": "822339400182",
"msisdn": "666666666",
"subscription_device_id": "40397"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
cancellation_request_id | string | The identifier of the cancellation request. (Read only parameter, only for GET requests) (Deprecated field, please remove linked logic) | ||||||||||||||||||||||||||||||||||||||||||
reason | string | The reason of the cancellation. | ||||||||||||||||||||||||||||||||||||||||||
products | object[] | The devices of the cancellation orders. (Deprecated soon, do not send in new integrations) | ||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
OK Success
{
"cancellation_request_id": "C0000001",
"reason": "DUPLICATE",
"products": [
{
"product_code": "RM58AV3N2",
"product_description": "Caja de voz Ad Hoc v3",
"product_type": "STB",
"product_type_id": 16,
"identifier": "822339400182",
"msisdn": "666666666",
"subscription_device_id": "40397"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
cancellation_request_id | string | The identifier of the cancellation request. (Read only parameter, only for GET requests) (Deprecated field, please remove linked logic) | ||||||||||||||||||||||||||||||||||||||||||
reason | string | The reason of the cancellation. | ||||||||||||||||||||||||||||||||||||||||||
products | object[] | The devices of the cancellation orders. (Deprecated soon, do not send in new integrations) | ||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
Response for client error when some field in the request is missing or invalid.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
Response when an internal or unexpected error occurs.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
curl -X POST 'https://logistics.sta.masstack.com/v2/orgs/yoigo/core/orders/888888-A9293/cancellation' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"cancellation_request_id": "C0000001",
"reason": "DUPLICATE",
"products": [
{
"product_code": "RM58AV3N2",
"product_description": "Caja de voz Ad Hoc v3",
"product_type": "STB",
"product_type_id": 16,
"identifier": "822339400182",
"msisdn": "666666666",
"subscription_device_id": "40397"
}
]
}' Notify delivery confirmation for an order
PATH PARAMETERS
Organization name as it is registered in mas-stack
Internal logistics order id
Information needed to create a delivery confirmation request
{
"products": [
{
"product_code": "RM58AV3N2",
"product_description": "Caja de voz Ad Hoc v3",
"product_type": "STB",
"product_type_id": 16,
"identifier": "822339400182",
"msisdn": "666666666",
"subscription_device_id": "40397"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
products | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
OK Success
{
"products": [
{
"product_code": "RM58AV3N2",
"product_description": "Caja de voz Ad Hoc v3",
"product_type": "STB",
"product_type_id": 16,
"identifier": "822339400182",
"msisdn": "666666666",
"subscription_device_id": "40397"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
products | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
Response for client error when some field in the request is missing or invalid.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
Response when an internal or unexpected error occurs.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
curl -X POST 'https://logistics.sta.masstack.com/v2/orgs/yoigo/core/orders/888888-A9293/confirmDelivery' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"products": [
{
"product_code": "RM58AV3N2",
"product_description": "Caja de voz Ad Hoc v3",
"product_type": "STB",
"product_type_id": 16,
"identifier": "822339400182",
"msisdn": "666666666",
"subscription_device_id": "40397"
}
]
}' Get the stock provided by the logistics operators
PATH PARAMETERS
Organization name as it is registered in mas-stack
QUERY PARAMETERS
Sales channel identifier
Sales Type identifier
Product identifier
OK Success
{
"data": [
{
"warehouse_id": "50",
"product_id": "RM58AV3N2",
"available_quantity": 60
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
data | object[] | List of objects with stock information | ||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||
Response for client error when some field in the request is missing or invalid.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
Response when an internal or unexpected error occurs.
[
{
"code": "MLOG_0001",
"title": "OUT_OF_STOCK",
"details": "Out of stock"
},
{
"code": "MLOG_0003",
"title": "MISSING_MANDATORY_FIELDS",
"details": "Missing mandatory fields"
},
{
"code": "MLOG_0008",
"title": "RESERVATION_INVALID",
"details": "Reservation invalid"
},
{
"code": "MLOG_0010",
"title": "VALIDATION_FIELDS",
"details": "Field not valid"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
title | string | Error description | ||
ref | string | Link to error dictionary | ||
details | string | Error detail message | ||
code | string | Internal MasLogistics error code |
curl -X GET 'https://logistics.sta.masstack.com/v2/orgs/yoigo/core/stock' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Get list of pickups filtered by the given parameters
PATH PARAMETERS
Organization name as it is registered in mas-stack
QUERY PARAMETERS
Page size
Page number
Pickup id in mas-logistics (Multiple values allowed separated with coma (','))
Order id in crm (Multiple values allowed separated with coma (','))
Order id in the external system, usually the logistic operator (Multiple values allowed separated with coma (','))
Subscription id (Multiple values allowed separated with coma (','))
Business process (Multiple values allowed separated with coma (','))
Delivery type (Multiple values allowed separated with coma (','))
Client identity document id (Multiple values allowed separated with coma (','))
Product identifier like IMEI, ICCID, Serial Number, etc (Multiple values allowed separated with coma (','))
The product reference (Multiple values allowed separated with coma (','))
Product subscription device id (Multiple values allowed separated with coma (','))
From order date in ISO 8601 format. Example: 2021-05-24T09:00:00Z
To order date in ISO 8601 format. Example: 2021-05-24T09:00:00Z
Sort value, multiple values allowed, separate with coma
OK Success
{
"page_size": 123,
"total_pages": 10,
"current_page": 1,
"total_elements": 3000,
"pickups": [
{
"order": {
"subscription_id": "2203846",
"pickup_id": "P0000001",
"order_id_external": "YG24011009607",
"order_id_crm": "4640528",
"language": "ES",
"business_process": "UNSUBSCRIPTION",
"order_date": "2021-05-25T09:00:00Z",
"reason": "Unsubscription",
"delivery_type": "AGENCY",
"access_reused": true,
"blocked": false
},
"data_sales": {
"agent": "RETEN001",
"channel": "TELE_SALE_CARE",
"type": "NEW_SALE",
"group": "POS"
},
"client": {
"identity": {
"document_id": null,
"document_type": null
},
"contact_phone": {
"phone_number": null,
"prefix": null
},
"name": "Juan",
"surnames": [
null
],
"email": "example@gmail.com",
"commercial_name": "Pedro",
"address": {
"street_type": null,
"street": null,
"number": null,
"additional_details": null,
"city": null,
"zip_code": null,
"province": null,
"country": null,
"bis": null,
"floor": null,
"block": null,
"stair": null,
"letter": null
}
},
"shipping": {
"address": {
"street_type": null,
"street": null,
"number": null,
"additional_details": null,
"city": null,
"zip_code": null,
"province": null,
"country": null,
"bis": null,
"floor": null,
"block": null,
"stair": null,
"letter": null
},
"contact_data": {
"identity": null,
"contact_phone": null,
"name": null,
"surnames": null,
"email": null,
"commercial_name": null,
"address": null
},
"transport_data": {
"courier_id": null,
"delivery_service": null,
"exclusive": null,
"verify_identity": null,
"retrieve_contract": null,
"secure_delivery": null,
"delivery_point_id": null,
"delivery_shop_name": null,
"return_code": null,
"delivery_type": null
}
},
"products": [
{
"product_code": null,
"product_description": null,
"product_type": null,
"product_type_id": null,
"identifier": null,
"msisdn": null,
"subscription_device_id": null,
"technology": null,
"status": null
}
]
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
[...]
